Update a referral by ID
curl --request PUT \
--url https://www.referly.so/api/v1/referrals \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"referralId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "jsmith@example.com",
"referredUserExternalId": "<string>",
"plan": "<string>",
"status": "<string>"
}
'import requests
url = "https://www.referly.so/api/v1/referrals"
payload = {
"referralId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "jsmith@example.com",
"referredUserExternalId": "<string>",
"plan": "<string>",
"status": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
referralId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
email: 'jsmith@example.com',
referredUserExternalId: '<string>',
plan: '<string>',
status: '<string>'
})
};
fetch('https://www.referly.so/api/v1/referrals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": 123,
"message": "<string>"
}Referral Endpoints
Update Referral
Updates a referral based on their ID
PUT
/
referrals
Update a referral by ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Referral update details
The referral ID to update
Name of the referred user
Email of the referred user
The external ID of the referred user. This will be an ID you actively maintain that identifies the user on your server (for example, the User ID in your database, or Stripe Customer ID)
The plan associated with the referred user
Status of the referral (active/inactive)
Response
Referral updated successfully
Last modified on September 14, 2024
⌘I